package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF8C1Response {

    @Parameter(name = "Instalment")
    Double instalment();

    @Parameter(name = "InsuranceMonthlyPayment")
    Double insuranceMonthlyPayment();

    @Parameter(name = "InterestRate")
    Double interestRate();

    @Parameter(name = "LastInstalment")
    Double lastInstalment();

    @Parameter(name = "MinimumInterestRate")
    Double minimumInterestRate();

    @Parameter(name = "PrimarInterestRate")
    Double primarInterestRate();

    @Parameter(name = "ProductCandidateKey")
    Long productCandidateKey();

    @Parameter(name = "RPSN")
    Double rpsn();

    @Parameter(name = "Term")
    Long term();

    @Parameter(name = "TermFrom")
    Long termFrom();

    @Parameter(name = "TermTo")
    Long termTo();

    @Parameter(name = "TotalAmount")
    Double totalAmount();

}